/*  -*- pse-c -*-
 *----------------------------------------------------------------------------
 * Filename: intelpci.h
 * $Revision: 1.15.2.1 $
 *----------------------------------------------------------------------------
 * <>
 * Copyright  2008, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *
 *----------------------------------------------------------------------------
 * Functions:
 *
 *
 *----------------------------------------------------------------------------
 */

#define PCI_VENDOR_ID_INTEL             0x8086


/* Start: Whitney core specific */
#define PCI_DEVICE_ID_BRIDGE_810        0x7120
#define PCI_DEVICE_ID_810               0x7121

#define PCI_DEVICE_ID_BRIDGE_810DC      0x7122
#define PCI_DEVICE_ID_810DC             0x7123

#define PCI_DEVICE_ID_BRIDGE_810E       0x7124
#define PCI_DEVICE_ID_810E              0x7125

#define PCI_DEVICE_ID_BRIDGE_815        0x1130
#define PCI_DEVICE_ID_815               0x1132


/* Start: Almador core specific */
#define PCI_DEVICE_ID_BRIDGE_830M       0x3575
#define PCI_DEVICE_ID_830M              0x3577
#define PCI_DEVICE_ID_AGP_830M          0x3576

#define PCI_DEVICE_ID_BRIDGE_835        0x3579
#define PCI_DEVICE_ID_835               0x357b
#define PCI_DEVICE_ID_AGP_835           0x357a

#define PCI_DEVICE_ID_BRIDGE_845G       0x2560
#define PCI_DEVICE_ID_845G              0x2562
#define PCI_DEVICE_ID_AGP_845G          0x0000

#define PCI_DEVICE_ID_BRIDGE_855        0x3580  /* Montara-G */
#define PCI_DEVICE_ID_MEM_855           0x3584
#define PCI_DEVICE_ID_855               0x3582
#define PCI_DEVICE_ID_AGP_855           0x0000

#define PCI_DEVICE_ID_BRIDGE_865G       0x2570
#define PCI_DEVICE_ID_865G              0x2572
#define PCI_DEVICE_ID_AGP_865G          0x0000


/* Start: Napa core specific */
/* Grantsdale - 915G/915GV */
#define PCI_DEVICE_ID_BRIDGE_915GD      0x2580
#define PCI_DEVICE_ID_PEG_915GD         0x2581
#define PCI_DEVICE_ID_915GD             0x2582
/* Grantsdale - 910GL*/
#define PCI_DEVICE_ID_BRIDGE_910GL      0x258C
#define PCI_DEVICE_ID_PEG_910GL         PCI_DEVICE_ID_PEG_915GD
#define PCI_DEVICE_ID_910GL             PCI_DEVICE_ID_915GD
/* Alviso - 915GM/GMS/910GML*/
#define PCI_DEVICE_ID_BRIDGE_915AL      0x2590
#define PCI_DEVICE_ID_PEG_915AL         0x2591
#define PCI_DEVICE_ID_915AL             0x2592

/* Lakeport - 945G */
#define PCI_DEVICE_ID_BRIDGE_945G       0x2770
#define PCI_DEVICE_ID_PEG_945G          0x2771
#define PCI_DEVICE_ID_945G              0x2772

/* Calistoga - 945GM */
#define PCI_DEVICE_ID_BRIDGE_945GM      0x27A0
#define PCI_DEVICE_ID_PEG_945GM         0x27A1
#define PCI_DEVICE_ID_945GM             0x27A2

/* Calistoga Westbriar - 945GME/GSE */
#define PCI_DEVICE_ID_BRIDGE_945GME     0x27AC
#define PCI_DEVICE_ID_PEG_945GME        0x27AD
#define PCI_DEVICE_ID_945GME            0x27AE

/* Bearlake B - Q35 */
#define PCI_DEVICE_ID_BRIDGE_Q35        0x29C0
#define PCI_DEVICE_ID_PEG_Q35           0x29C1
#define PCI_DEVICE_ID_Q35               0x29C2

/* Bearlake B - Q35 */
#define PCI_DEVICE_ID_BRIDGE_Q35A2      0x29B0
#define PCI_DEVICE_ID_PEG_Q35A2         0x29B1
#define PCI_DEVICE_ID_Q35A2             0x29B2

/* Start: Gen4 core specific*/
/* Broadwater - Unlocked - 965G */
#define PCI_DEVICE_ID_BRIDGE_965G       0x2980
#define PCI_DEVICE_ID_PEG_965G          0x2981
#define PCI_DEVICE_ID_965G              0x2982

/* Broadwater - Value - 945GZ */
#define PCI_DEVICE_ID_BRIDGE_946GZ      0x2970
#define PCI_DEVICE_ID_PEG_946GZ         0x2971
#define PCI_DEVICE_ID_946GZ             0x2972

/* Broadwater - Consumer - G965 */
#define PCI_DEVICE_ID_BRIDGE_G965       0x29A0
#define PCI_DEVICE_ID_PEG_G965          0x29A1
#define PCI_DEVICE_ID_G965              0x29A2

/* Broadwater - Corporate - Q965/Q963 */
#define PCI_DEVICE_ID_BRIDGE_Q965       0x2990
#define PCI_DEVICE_ID_PEG_Q965          0x2991
#define PCI_DEVICE_ID_Q965              0x2992

/* Crestline - Generic GM965 */
#define PCI_DEVICE_ID_BRIDGE_GM965		0x2A00
#define PCI_DEVICE_ID_PEG_GM965			0x2A01
#define PCI_DEVICE_ID_GM965			    0x2A02

/* Crestline Westbriar GME965 */
#define PCI_DEVICE_ID_BRIDGE_GME965		0x2A10
#define PCI_DEVICE_ID_PEG_GME965		0x2A11
#define PCI_DEVICE_ID_GME965		    0x2A12

#if LINUX_VERSION_CODE > KERNEL_VERSION(2,6,5)
/* Poulsbo */
#define PCI_DEVICE_ID_BRIDGE_PLB		0x8100
#define PCI_DEVICE_ID_PEG_PLB			0x8101
#define PCI_DEVICE_ID_PLB				0x8108
#endif

/* Cantiga GM45 */
#define PCI_DEVICE_ID_BRIDGE_GM45       0x2A40
#define PCI_DEVICE_ID_PEG_GM45          0x2A41
#define PCI_DEVICE_ID_GM45              0x2A42

#define PCI_DEVICE_ID_BRIDGE_ELK	0x2E00
#define PCI_DEVICE_ID_PEG_ELK           0x2E01
#define PCI_DEVICE_ID_ELK               0x2E02

#define PCI_DEVICE_ID_BRIDGE_Q45        0x2E10
#define PCI_DEVICE_ID_PEG_Q45           0x2E11
#define PCI_DEVICE_ID_Q45               0x2E12

#define PCI_DEVICE_ID_BRIDGE_G45        0x2E20
#define PCI_DEVICE_ID_PEG_G45           0x2E21
#define PCI_DEVICE_ID_G45               0x2E22

#define PCI_DEVICE_ID_BRIDGE_G41        0x2E30
#define PCI_DEVICE_ID_PEG_G41           0x2E31
#define PCI_DEVICE_ID_G41               0x2E32

#define I915_GMADDR	0x18
#define I915_MMADDR	0x10
#define I915_PTEADDR	0x1C
#define I915_GMCH_GMS_STOLEN_48M	(0x6 << 4)
#define I915_GMCH_GMS_STOLEN_64M	(0x7 << 4)

/* intel Q35 register */
#define IQ35_BASE_STOLEN 0x5c
#define IQ35_GTT_MEM_SIZE 0x300
#define IQ35_GGMS_1MB 0x100
#define IQ35_GGMS_2MB 0x200
